/* Importa la fuente desde Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap');

body {
    font-family: 'Roboto', Arial, sans-serif;
}

/* Estilos para botones principales */
.btn-primary {
    background-color: #0D6EFD;
    border-color: #0D6EFD;
}

.btn-primary:hover {
    background-color: #0056b3;
    border-color: #0056b3;
}

/* Estilos para el fondo de imagen */
.bg-image {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* Estilos para el menú */
.menu {
    margin-top: 20px;
}

.menu a {
    margin: 0 10px;
    color: #0D6EFD;
    text-decoration: none;
}

.menu a:hover {
    text-decoration: underline;
}

/* Selector de idioma */
.language-selector {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 10;
    display: flex;
    align-items: center;
}

.dropdown-menu a {
    display: flex;
    align-items: center;
}

.dropdown-menu img {
    margin-right: 8px;
    width: 20px;
    height: 14px;
}

.fullscreen-toggle {
    margin-left: 10px;
    cursor: pointer;
}

/* Consentimiento de cookies */
.cookie-consent {
    position: fixed;
    bottom: 0;
    width: 100%;
    background-color: #333333;
    color: #fff;
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}

.cookie-consent__message {
    flex: 1;
}

.cookie-consent__actions {
    margin-left: 15px;
}

#acceptCookies {
    margin-left: 15px;
}

/* Navbar */
.navbar {
    background-color: #1b85b8; /* Color de la barra de navegación */
   
}

/* Sidebar */
.sidebar {
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    width: 200px;
    background-color: #1b85b8;
    padding-top: 20px;
    color: #fff;
    z-index: 1000; /* Asegúrate de que el sidebar esté siempre por encima del contenido */
}

.sidebar img {
    max-width: 100%;
}

.sidebar a {
    display: block;
    color: white;
    padding: 10px;
    text-decoration: none;
}

.sidebar a:hover {
    background-color: #495057;
}

.sidebar i {
    margin-right: 8px;
}

/* Sidebar para dispositivos móviles */
.sidebar-mobile {
    display: none; /* Ocultar por defecto */
    position: fixed;
    top: 0;
    left: 0;
    width: 200px;
    background-color: #1b85b8;
    height: 100vh;
    padding-top: 20px;
    z-index: 1000; /* Asegúrate de que el sidebar esté siempre por encima del contenido */
}

.sidebar-mobile a {
    display: block;
    color: white;
    padding: 10px;
    text-decoration: none;
}

.sidebar-mobile a:hover {
    background-color: #495057;
}

.sidebar-mobile i {
    margin-right: 8px;
}

/* Asegúrate de que el contenido se desplaza a la derecha en dispositivos móviles */
body.mobile-sidebar-open .sidebar {
    display: block;
}

body.mobile-sidebar-open .sidebar-mobile {
    display: block;
}

body.mobile-sidebar-open .content {
    margin-left: 200px;
}

@media (max-width: 991.98px) {
    .sidebar {
        display: none; /* Ocultar sidebar en dispositivos pequeños */
    }

    body.mobile-sidebar-open .sidebar {
        display: block; /* Mostrar sidebar en dispositivos pequeños cuando está activo */
    }

    body.mobile-sidebar-open .content {
        margin-left: 200px; /* Asegurar que el contenido se mueva a la derecha */
    }

    body .content {
        margin-left: 0;
    }
}

/* Botón flotante para el menú en dispositivos móviles */
.floating-menu {
    position: fixed;
    top: 68px;
    right: 20px;
    z-index: 1100;
    border-radius: 20%;
    padding: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/* Content */
.content {
    margin-left: 200px;
    padding: 20px;
}

.navbar-dark .navbar-nav .nav-link {
    color: #fff;
}

.navbar-dark .navbar-brand {
    color: #fff;
}

/* Estilos para contenedores con fondo translúcido */
.bg-transparentposup {
    background-color: rgba(255, 255, 255, 0.8); /* Fondo blanco con 80% de opacidad */
    border-radius: 10px; /* Bordes redondeados opcionales */
    padding: 20px; /* Espaciado interno opcional */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Sombra opcional */
    position: relative; /* Asegura que el fondo translúcido se superponga correctamente */
    z-index: 1;
}

/* Estilos adicionales para asegurar que el fondo de la imagen no interfiera */
.admin-bg {
    background: url('/public/images/adminapp-bg.png') no-repeat center center fixed;
    background-size: cover;
    min-height: calc(100vh - 56px); /* Ajusta la altura mínima restando la altura del navbar */
    padding: 20px; /* Espaciado interno opcional */
}
